{% extends 'template/layout.twig' %}
{% block title %}Crypto{% endblock %}
{% block style %}
    {% if mobile == true %}
        <link rel="stylesheet" type="text/css" href="css/my/mobile/home.css">
    {% else %}
        <link rel="stylesheet" type="text/css" href="css/my/home.css">
    {% endif %}
{% endblock %}
{% block body %}
    <div class="container_main_vertical">
        <div id="container_total">
            <table>
                <tbody>
                    <tr>
                        <th style="width: 25%;">Actifs</th>
                        <th style="width: 25%;">Valeur totale</th>
                        <th colspan="2">Variation valeur totale (24h)</th>
                    </tr>
                    {{ table_total[0]|raw }}
                    <tr>
                        <th colspan="2">Capitalisation totale</th>
                        <th>Dominance du BTC</th>
                        <th>Dominance de ETH</th>
                    </tr>
                    {{ table_total[1]|raw }}
                </tbody>
            </table>
        </div>
        <div id="container_cryptos">
            <button id="btn_popup_add_crypto">Ajouter</button>
            <button id="btn_edit_cryptos">Modifier</button>
            <button type="submit" form="form_cryptos" name="edit_cryptos" id="btn_apply_crypto">Appliquer</button>
            <table>
                <form method="post" id="form_cryptos">
                    <tbody>
                        <tr>
                            <th>Actif</th>
                            <th>Quantité</th>
                            <th>Valeur</th>
                            <th colspan="2">Variation (24h)</th>
                        </tr>
                        {{ table_cryptos|raw }}
                    </tbody>
                </form>
            </table>
        </div>
    </div>
    <div class="container_main_vertical" id="layout_add_crypto">
        <div id="popup_add_crypto">
            <div class="container_main_vertical">
                <table>
                    <form method="post">
                        <tr>
                            <th>Actif</th>
                        </tr>
                        {{ datalist_cryptos|raw }}
                        <tr>
                            <th>Quantité</th>
                        </tr>
                        <tr>
                            <td><input type="number" step="any" min="0" name="quantity" required></td>
                        </tr>
                        <tr>
                            <td><button type="submit" name="add_crypto">Ajouter</button></td>
                        </tr>
                    </form>
                </table>
            </div>
        </div>
    </div>
    <script src="js/my/HomePopupAddCrypto.js"></script>
    <script src="js/my/HomeEditCryptos.js"></script>
{% endblock %}